.main {
  display: flex;
  flex-direction: column;
  background-color: #fafafa;
  padding: 0.88rem 0 1.12rem 0;
  align-items: center;
}
.title {
  color: #444444;
  font-size: 0.28rem;
}

/* grid布局-起讫时间 */
.grid-date {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: 0.12rem;
  align-items: center;
  font-size: 0.14rem;
}
/* grid-跨越2列 */
.grid-merge-2 {
  grid-column-start: span 2;
}
/* grid-跨越3列 */
.grid-merge-3 {
  grid-column-start: span 3;
}
/* grid-分为2列 */
.grid-2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0.32rem;
}
/* grid-分为3列 */
.grid-3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.32rem;
}
/* grid-间隙.32rem */
.gap-32 {
  gap: 0.32rem;
}

/* 表单样式重写 */
.form-radio-wrap-other {
  color: #444444;
  font-size: 0.14rem;
  height: auto;
}
.form-radio-item-other {
  width: 100%;
  display: flex;
  align-items: center;
  margin-top: 0.2rem;
}
.form-radio-item-other > label {
  margin-left: 0.04rem;
  margin-right: 0.59rem;
}
.form-radio-item-other > input[type="text"] {
  width: 0;
  flex-grow: 1;
}

/* 表单 */
.form-main {
  margin-top: 0.88rem;
  width: 11.84rem;
}

/* 个人资料 */
.profile {
  grid-template-rows: repeat(10, auto);
  grid-auto-rows: auto;
}
.profile > .form-section-title {
  grid-column-start: span 1;
  grid-row-start: span 10;
}
.profile > .form-section-title:first-line {
  font-weight: bold;
}
.profile > .form-section-form-11 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.32rem;
}

/* 教育程度、工作经历 */
.education {
  grid-template-columns: 2.69rem repeat(3, 1fr);
  grid-template-rows: repeat(10, auto);
  grid-auto-rows: auto;
}
.education > .form-section-title {
  grid-column-start: span 1;
  grid-row-start: span 10;
}
.education > .work-title {
  grid-column-start: span 3;
  color: #444444;
}

/* 自传 */
.autobiography > .form-section-title {
  font-size: 0.14rem;
}
.autobiography > .form-section-title:first-line {
  font-size: 0.19rem;
}

/* 调查问卷1 */
.questionnaire {
  grid-template-columns: 2.69rem repeat(1, 1fr);
}
.questionnaire hr {
  margin: 0.32rem 0;
  border: none;
  border-top: 1px solid #eeeeee;
}
.questionnaire .money > .form-input {
  width: 4.24rem;
}
.questionnaire .money > span {
  margin-left: 0.32rem;
  font-size: 0.14rem;
  color: #444444;
}
.questionnaire .seminar .form-section-form {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
}
.questionnaire .seminar .form-section-form > label {
  margin-right: 0.6rem;
  margin-bottom: 0;
}
.questionnaire .relationship-wrap {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.32rem;
}
.questionnaire .tips {
  color: #444444;
  font-size: 0.14rem;
}

/* 调查问卷2 */
.research {
  grid-template-columns: 2.69rem repeat(1, 1fr);
}
.research hr {
  margin: 0.32rem 0;
  border: none;
  border-top: 1px solid #eeeeee;
}
.research .consumption-wrap {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 0.32rem;
}

/* 看法 */
.view .viewText {
  grid-column-start: span 2;
}

/* 注意事项 */
.notice {
  grid-template-rows: repeat(2, auto);
}
.notice > .form-section-title {
  grid-row-start: span 2;
}
.notice > .form-section-form {
  grid-column-start: span 2;
  font-size: 0.14rem;
  color: #444444;
  line-height: 1.71;
}

/* 清除内容-提示弹窗 */
.clear-modal {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.4);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.02rem;
  z-index: 1;
}
.clear {
  width: 4.24rem;
  height: 2.38rem;
  background: #ffffff;
  position: relative;
  color: #444444;
  font-size: 0.19rem;
}
.clear-close {
  cursor: pointer;
  position: absolute;
  color: #b2b2b2;
  right: 0.2rem;
  top: 0.2rem;
}
.clear-content {
  margin: 0.68rem 0;
  padding: 0 0.58rem;
}
.clear-btn {
  display: flex;
  justify-content: center;
  height: 0.35rem;
  color: white;
  font-size: 0.14rem;
}
.clear-btn-cancel,
.clear-btn-confirm {
  width: 1.62rem;
  height: 100%;
  background: #7f2500;
  display: flex;
  align-items: center;
  justify-content: center;
}
.clear-btn-confirm {
  margin-left: 0.16rem;
}
